package org.processmining.models.DCNet.visualization;

import java.util.HashMap;

import org.processmining.models.DCNet.DCNet;
import org.processmining.models.cnet.CNet;
import org.processmining.models.cnet.CNetNode;
import org.processmining.models.graphbased.directed.AbstractDirectedGraph;
import org.processmining.models.visualcnet.CNetV;
import org.processmining.models.visualcnet.CNetVEdge;
import org.processmining.models.visualcnet.CNetVNode;

public class DCNetV extends CNetV 
{
	HashMap<String, DCNetVAttribute> attributeMap=new HashMap<String, DCNetVAttribute>();
	
	public DCNetV()
	{
		super();
	}

	public DCNetV(DCNet cnet)
	{
		super(cnet);
		/*for(String variable : cnet.getVariables())
		{
			DCNetVAttribute attr=new DCNetVAttribute(this, cnet, variable);
			attributeMap.put(variable, attr);
			graphElementAdded(attr);
		}*/
	}
	
	protected CNetVNode createCNetVNode(AbstractDirectedGraph<CNetVNode, CNetVEdge> graph, CNetNode node, CNet ne)
	{
		return new DCNetVNode(graph, node, ne);
	}
	
	protected CNetVNode createCNetVNode(CNetV graph, CNetVNode origNode)
	{
		return new DCNetVNode((DCNetV)graph, origNode);
	}	
	
	protected CNetVEdge createCNetVEdge(CNetVNode source, CNetVNode target)
	{
		return new CNetVEdge(source, target);
	}
	
}
