package org.processmining.plugins.DataConformance.DCnet;

import java.util.Collection;
import java.util.Map;

import org.deckfour.xes.classification.XEventClass;
import org.deckfour.xes.classification.XEventClassifier;
import org.deckfour.xes.model.XLog;
import org.processmining.models.DCNet.DCNet;
import org.processmining.plugins.DataConformance.ResultReplay;
import org.processmining.plugins.DataConformance.framework.ActivityMatchCosts;
import org.processmining.plugins.DataConformance.framework.ReplayState;
import org.processmining.plugins.DataConformance.framework.VariableMatchCosts;

public class ResultReplayDCNet extends ResultReplay{

	private final DCNet net;

	public ResultReplayDCNet(Collection<ReplayState> list, ActivityMatchCosts<XEventClass> activityCost,
			VariableMatchCosts variableCost, DCNet net, XLog log, Map<String, String> variableMapping, XEventClassifier classifier) {
		super(list, activityCost, variableCost, variableMapping, log, classifier);
		this.net=net;
	}

	public DCNet getNet() {
		return net;
	}
	
}
