package org.processmining.plugins.balancedconformance.result;

import java.util.Collection;
import java.util.Iterator;

import org.processmining.plugins.DataConformance.Alignment;

public class AlignmentCollectionImpl implements AlignmentCollection {

	private Collection<Alignment> alignments;

	public AlignmentCollectionImpl(Collection<Alignment> alignments) {
		this.alignments = alignments;
	}

	public int hashCode() {
		return System.identityHashCode(this);
	}

	public boolean equals(Object obj) {
		// Object Identity Equals for Performance Reasons
		return obj == this;
	}

	public Collection<Alignment> getAlignments() {
		return alignments;
	}

	public Iterator<Alignment> iterator() {
		return alignments.iterator();
	}

}